[résolu]conflit de dépendances alsa/jack, comment faire?

Conversations générales au sujet de Sabayon Linux

Moderator: Moderators

[résolu]conflit de dépendances alsa/jack, comment faire?

Postby mph » Sat May 17, 2008 15:59

Salut

je ne sais pas si cela tient plutot du beta-test ou du topic normal des distros x86...
J'ai installé la 3.5 loop3 r1 x86 hier, et j'essaye de configurer la partie "audio" pour me servir de Ardour par la suite.
Comme qjackctl n'est pas inclu d'office (c'était aussi le cas dans la 3.4f), j'ai fait equo install qjackctl, tout ok jusque là.

Le problème c'est que lorsque je lance jack il bloque sur une lib qui manque (enfin je crois comprendre cela):
"Could not open ALSA sequencer as a client.
ALSA MIDI patchbay will be not available."

et:
Code: Select all
15:40:11.137 Patchbay deactivated.
15:40:11.253 Statistics reset.
15:40:11.255 Could not open ALSA sequencer as a client. ALSA MIDI patchbay will be not available.
ALSA lib seq_hw.c:457:(snd_seq_hw_open) open /dev/snd/seq failed: Aucun fichier ou répertoire de ce type


effectivement pas de /dev/snd/seq dans l'arborescence.

je lance alors:
equo search alsa

et dans l'output je vois ça:
Code: Select all
@@ Package: media-plugins/alsa-plugins-1.0.16_rc1               branch: 3.5
>>        Category:             media-plugins
>>        Name:                 alsa-plugins
>>        Masked:               False
>>        Available:            version: 1.0.16_rc1 ~ tag: NoTag ~ revision: 0
>>        Installed:            version: 1.0.16_rc1 ~ tag: NoTag ~ revision: 0
>>        Slot:                 0
>>        Size:                 0.1MB
>>        Download:             packages/x86/3.5/media-plugins:alsa-plugins-1.0.16_rc1~0.tbz2
>>        Checksum:             1d789e8e94d9f95197206822d2d1ad73
>>        ## Dependencies:
>>        ##                    >=media-sound/jack-audio-connection-kit-0.98
>>        ##                    media-sound/pulseaudio
>>        ##                    media-video/ffmpeg
>>        ##                    media-libs/libsamplerate
>>        ##                    >=media-libs/alsa-lib-1.0.16_rc1
>>        ##                    media-libs/speex
>>        ## Conflicts:
>>        ##                    media-plugins/alsa-jack
>>        Homepage:             http://www.alsa-project.org/
>>        Description:          ALSA extra plugins
>>        USE flags:            -elibc_glibc speex -userland_GNU
>>                              ffmpeg libsamplerate -x86 -kernel_linux
>>                              pulseaudio jack
>>        Compiled with:        -Os -march=i686 -DNDEBUG
>>        Keywords:             ~alpha ~amd64 ~hppa ~sh ~ppc64 ~arm ~x86 ~sparc ~ia64 ~ppc
>>        Created:              2008-03-15 18:55:53
>>        License:              LGPL-2.1 GPL-2


Les deux "problèmes" sont ils liés, comme je le pense?
Je n'ai pas eu ce problème avec la 3.4f, et auparavant je n'ai jamais résolu de conflits de dépendances...
Auriez-vous des suggestions sur la méthode à employer?

Ma carte son (qui ne semble pas poser de problème):
Code: Select all
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)




merci, d'avance!
Last edited by mph on Wed Jun 04, 2008 21:15, edited 1 time in total.
mph
Simple Hen
 
Posts: 50
Joined: Mon May 12, 2008 23:34
Location: Larzac - France

Re: conflit de dépendances alsa/jack, comment faire?

Postby turquoise » Sun May 18, 2008 6:17

À première vue, oui, ça pourrait être un conflit. Ce qui me rend plus perplexe par rapport à cette théorie, c'est
## Conflicts:
>> ## media-plugins/alsa-jack

Sauf que ce package ne semble pas exister nulle part dans portage ou dans les dépôts de Enthropy donc j'aurais tendance à ne pas penser que c'est un conflit de dépendance.

j'ai plus l'impression qu'il te manque peut-être un package pour l'un ou l'autre ou encore il y a un problème avec une librairie. Du coup, je tenterais probablement un revdep-rebuild ou encore de reconfigurer ma carte de son avec alsa-conf pour commencer... Sinon, tu es passé par equo pour l'installer? Tu pourrais essayer avec emerge à la place, ou avec equo si tu as utilisé emerge.
Ma philosophie d'apprentissage : essayer, et si ça casse, essayer de réparer.
My learning philosophy: try it, and if it breaks, try to fix it.
Image
turquoise
Old Dear Hen
 
Posts: 719
Joined: Wed Nov 15, 2006 1:14
Location: Abitibi-Témiscamingue!

Re: conflit de dépendances alsa/jack, comment faire?

Postby fiorello » Sun May 18, 2008 10:37

controlle si tu a un problème avec des librairies :

Code: Select all
equo deptest
Last edited by fiorello on Sun May 18, 2008 20:55, edited 1 time in total.
ASRock Fatal1ty Z68 Professional Gen3 _ Intel(R) Core(TM) i7-2600K CPU @ 3.40GHz _ Nvidia GeForce GTX 560 TI _ AR5416 Wireless Network Adapter [AR5008802.11(a)bgn] _ Mémoire totale 8 Gio _ * linux4.4.0_Sabayon KDE
Image
User avatar
fiorello
Sagely Hen
 
Posts: 1061
Joined: Mon Aug 13, 2007 14:06
Location: Bourg En Bresse - France

Re: conflit de dépendances alsa/jack, comment faire?

Postby mph » Sun May 18, 2008 13:22

Salut

merci de vos retours.
Turquoise, j'ai fait l'install de qjackctl avec equo. Cependant à propose de l'utilisation de equo et emerge j'ai lu ça:
viewtopic.php?f=57&t=13488
Si j'ai bien saisi il vaudrait mieux que je ne reinstall pas avec emerge? ou alors si j'ai fait ce genre de manip par erreur, il vaudrait mieux faire une reinstall totale?

fiorello, j'ai fait:
# equo -p deptest
>> You should run equo --help


puis:
# equo deptest
>> @@ Running dependency test...
>> @@ (1650/1986) Checking media-plugins/gst-plugins-fluendo-mpegdemux-0.10.1
>> @@ (1934/1986) Checking app-emulation/virtualbox-modules-1.5.6-r1#2.6.25-s
>> @@ (1938/1986) Checking net-dialup/slmodem-2.9.11_pre20080401#2.6.25-sabay
>> @@ (1941/1986) Checking x11-drivers/nvidia-drivers-173.08-r10#2.6.25-sabay
>> @@ (1957/1986) Checking x11-plugins/compiz-fusion-plugins-unsupported-0.7.
>> @@ (1965/1986) Checking net-wireless/linux-wlan-ng-modules-0.2.8-r1#2.6.25
>> @@ Caching complete.
et à nouveau
# equo deptest
>> @@ Running dependency test...
>> @@ Caching complete.

...pas de gros message d'erreur... qu'en penses-tu?

merci!
mph
Simple Hen
 
Posts: 50
Joined: Mon May 12, 2008 23:34
Location: Larzac - France

Re: conflit de dépendances alsa/jack, comment faire?

Postby fiorello » Sun May 18, 2008 20:52

Effecttivament Lxnay sur le forum Italien dit de ne pas utiliser emerge avec la loop , equo deptest c'est comme un revdep-rebuild sur une 3.4 / , pardon la commande equo -p deptest ne marche pas ce normal la commande à utiliser est equo --ask deptest
la diffèrence entre le deux est que la premiere corrigé les problèmes sans rien domander , la deuxiéme te domande une confirmation avant de continuer :oops: en regardand ton log apres deptest rien qui touche a alsa , comme dit turquoise media-plugins/alsa-jack ne semble pas exister nulle part dans portage et entropy.
ASRock Fatal1ty Z68 Professional Gen3 _ Intel(R) Core(TM) i7-2600K CPU @ 3.40GHz _ Nvidia GeForce GTX 560 TI _ AR5416 Wireless Network Adapter [AR5008802.11(a)bgn] _ Mémoire totale 8 Gio _ * linux4.4.0_Sabayon KDE
Image
User avatar
fiorello
Sagely Hen
 
Posts: 1061
Joined: Mon Aug 13, 2007 14:06
Location: Bourg En Bresse - France

Re: conflit de dépendances alsa/jack, comment faire?

Postby mph » Mon May 19, 2008 1:26

pas de soucis fiorello, on prend vite l'habitude du-p avec l'utilisation de emerge, alors forcemment equo ça change un peu (il faudrait que je me mette à apprendre les commandes pour de bon!!!).
Là je ne sais pas quoi faire, c'est ennuyeux de ne pas pouvoir utiliser qjackctl...
Stuck :evil:
mph
Simple Hen
 
Posts: 50
Joined: Mon May 12, 2008 23:34
Location: Larzac - France

Re: conflit de dépendances alsa/jack, comment faire?

Postby turquoise » Mon May 19, 2008 7:30

Turquoise, j'ai fait l'install de qjackctl avec equo. Cependant à propose de l'utilisation de equo et emerge j'ai lu ça:
viewtopic.php?f=57&t=13488
Si j'ai bien saisi il vaudrait mieux que je ne reinstall pas avec emerge? ou alors si j'ai fait ce genre de manip par erreur, il vaudrait mieux faire une reinstall totale?


Ben par rapport à l'usage de emerge et de equo, c'est un peu comme les ports et les packages de FreeBSD : ce n'est pas recommandé de mélanger, mais ça sert des fois pour se sortir du pétrin. Par contre, si tu as modifié ton make.conf sous Sabayon, oublie ça.

Et non, pas nécéssairement une réinstallation totale, juste faire plus attention à ne pas mélanger les deux sauf pour quelques cas spéciaux dans le futur.
Ma philosophie d'apprentissage : essayer, et si ça casse, essayer de réparer.
My learning philosophy: try it, and if it breaks, try to fix it.
Image
turquoise
Old Dear Hen
 
Posts: 719
Joined: Wed Nov 15, 2006 1:14
Location: Abitibi-Témiscamingue!

Re: conflit de dépendances alsa/jack, comment faire?

Postby mph » Mon May 19, 2008 19:06

merci Turquoise!
je n'ai pas modifié le make.conf...
j'ai essayé de reinstaller alsa et jack via emerge, sans succès (edit: l'install s'est bien passée mais cela n'a rien changé au problème)...enfin, ma carte HDAintel est toujours bien reconnue et alsa semble bien configuré...mais qjackctl ne lance toujours pas le patchbay :|
mph
Simple Hen
 
Posts: 50
Joined: Mon May 12, 2008 23:34
Location: Larzac - France

Re: conflit de dépendances alsa/jack, comment faire?

Postby fiorello » Mon May 19, 2008 19:16

Pardon j'ai mal interpreter Lxnay dit tout simplement qui ne faut pas utiliser Portage pour mettre a jour Entropy , donc emerge est utilisable mais pour le moment si on installe certain paquet " pas tout " avec emerge , Equo te propose de les metre a jours a sa version , un peut embetant par exemple avec amsn et les TK TCL 8.5 qui ne sont pas presente dans Entropy on les installer avec Emerge tout de suite Equo te propose de le remetre a sa version.
J'espere qu' en futur Spritz nous donne la possibiliter d'ecarter et ne plus proposer.

Pour Alsa pas de problemes si tu utilise Emerge pour resoudre ton probleme , vue sur des nombreux post sur le forom de Mania , personelement sur la loop2 apres une mise a jour le son ne marche plus j'ai resolut avec un:

Code: Select all
emerge -v alsa-utils
ASRock Fatal1ty Z68 Professional Gen3 _ Intel(R) Core(TM) i7-2600K CPU @ 3.40GHz _ Nvidia GeForce GTX 560 TI _ AR5416 Wireless Network Adapter [AR5008802.11(a)bgn] _ Mémoire totale 8 Gio _ * linux4.4.0_Sabayon KDE
Image
User avatar
fiorello
Sagely Hen
 
Posts: 1061
Joined: Mon Aug 13, 2007 14:06
Location: Bourg En Bresse - France

Re: conflit de dépendances alsa/jack, comment faire?

Postby fiorello » Mon May 19, 2008 23:46

Une bonne nouvelle , dans les mise à jour Media-Sound on à jack audi connection kit :P j'espère que tu vas pouvoir rèsoudre ton probleme :wink:

Image
ASRock Fatal1ty Z68 Professional Gen3 _ Intel(R) Core(TM) i7-2600K CPU @ 3.40GHz _ Nvidia GeForce GTX 560 TI _ AR5416 Wireless Network Adapter [AR5008802.11(a)bgn] _ Mémoire totale 8 Gio _ * linux4.4.0_Sabayon KDE
Image
User avatar
fiorello
Sagely Hen
 
Posts: 1061
Joined: Mon Aug 13, 2007 14:06
Location: Bourg En Bresse - France

Next

Return to French

Who is online

Users browsing this forum: No registered users and 1 guest

cron